package com.om.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.dto.UserLoginDTO;
import com.om.entity.po.User;
import com.om.entity.vo.UserAddVO;
import com.om.utils.Result;

/**
 * <p>
 * 应用用户信息表 服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-01-29
 */
public interface IUserService extends IService<User> {

    Result login(UserLoginDTO dto);

    Result add(UserAddVO user);

    Result delete(Integer id);

    Result getByUserId(Integer userId);

    Result getListByUserId(Integer userId);

    Result getPageList(UserAddVO user);

    Result relieve();

    Result updateState(User user);

    Result updateType(User user);

    Result updateUserInfo(UserAddVO user);
}
